Activity log for bug #1316454

Date Who What changed Old value New value Message
2014-05-06 07:40:28 Franz Hsieh bug added bug
2014-05-06 07:40:28 Franz Hsieh attachment added _usr_bin_intel_reg_dumper.0.crash https://bugs.launchpad.net/bugs/1316454/+attachment/4106082/+files/_usr_bin_intel_reg_dumper.0.crash
2014-05-06 07:42:02 Franz Hsieh bug task added xserver-xorg-video-intel
2014-05-06 07:43:19 Franz Hsieh affects xserver-xorg-video-intel oem-priority
2014-05-08 07:25:54 Franz Hsieh oem-priority: importance Undecided High
2014-05-14 07:22:15 Franz Hsieh description The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) OS version: Ubuntu 14.04 LTS (Trusty)
2014-05-14 07:23:15 Franz Hsieh description The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) OS version: Ubuntu 14.04 LTS (Trusty) The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2014-05-02 (0 days ago) InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 20140502-08:19
2014-05-14 07:30:06 Franz Hsieh description The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2014-05-02 (0 days ago) InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 20140502-08:19 An error dialog will be shown after user login to the desktop environment. The error is : The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. This issue can be reproduced by running the command: # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2014-05-02 (0 days ago) InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 20140502-08:19
2014-05-14 07:30:32 Ara Pulido oem-priority: assignee Ara Pulido (apulido)
2014-05-14 07:31:42 Franz Hsieh attachment added intel_reg_dump_error_message.jpg https://bugs.launchpad.net/ubuntu/+source/intel-gpu-tools/+bug/1316454/+attachment/4112042/+files/intel_reg_dump_error_message.jpg
2014-05-15 10:59:24 Timo Aaltonen intel-gpu-tools (Ubuntu): status New Triaged
2014-05-15 10:59:24 Timo Aaltonen intel-gpu-tools (Ubuntu): assignee Timo Aaltonen (tjaalton)
2014-06-18 08:38:05 Timo Aaltonen nominated for series Ubuntu Trusty
2014-06-18 08:38:05 Timo Aaltonen bug task added intel-gpu-tools (Ubuntu Trusty)
2014-06-18 08:38:17 Timo Aaltonen intel-gpu-tools (Ubuntu Trusty): status New Triaged
2014-06-18 08:38:29 Timo Aaltonen intel-gpu-tools (Ubuntu): status Triaged Fix Released
2014-06-20 11:18:26 Ara Pulido nominated for series oem-priority/trusty
2014-06-20 11:18:26 Ara Pulido bug task added oem-priority/trusty
2014-06-24 10:29:01 Timo Aaltonen intel-gpu-tools (Ubuntu Trusty): status Triaged In Progress
2014-06-25 15:58:55 Timo Aaltonen description An error dialog will be shown after user login to the desktop environment. The error is : The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. This issue can be reproduced by running the command: # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2014-05-02 (0 days ago) InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 20140502-08:19 [Impact] An error dialog will be shown after user login to the desktop environment. The error is : The intel_reg_dumper raise SIGABRT on Intel ValleyView Gen7 [8086:0f31] platform. Bumping intel-gpu-tools to 1.7 as SRU is unrealistic, and backporting new hw support didn't fix it, so the easiest way to work around this issue is to not abort() when it fails to detect the chip gen related register maps. This should prevent core dumps and the crash reports. [Test Case] This issue can be reproduced by running the command: # sudo intel_reg_dumper Gen2/3 Ranges are not supported. Please use unsafe access. (Core dump) [Regression potential] None really, it just won't dump core which hardly anything relies on.. DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2014-05-02 (0 days ago) InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 20140502-08:19
2014-06-25 23:30:28 Chris J Arges intel-gpu-tools (Ubuntu Trusty): status In Progress Fix Committed
2014-06-25 23:30:31 Chris J Arges bug added subscriber Ubuntu Stable Release Updates Team
2014-06-25 23:30:33 Chris J Arges bug added subscriber SRU Verification
2014-06-25 23:30:36 Chris J Arges tags verification-needed
2014-06-25 23:42:49 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/trusty/intel-gpu-tools/trusty-proposed
2014-07-02 12:33:21 Ara Pulido oem-priority/trusty: status New Fix Committed
2014-07-02 12:33:25 Ara Pulido oem-priority: status New In Progress
2014-07-02 15:19:39 Timo Aaltonen tags verification-needed verification-done
2014-07-03 16:02:31 St├ęphane Graber removed subscriber Ubuntu Stable Release Updates Team
2014-07-03 16:08:11 Launchpad Janitor intel-gpu-tools (Ubuntu Trusty): status Fix Committed Fix Released
2014-07-04 13:12:33 Ara Pulido oem-priority: status In Progress Fix Released
2014-07-04 13:12:38 Ara Pulido oem-priority/trusty: status Fix Committed Fix Released